
Name:          ant-eclipse
Version:       1.0
Release:       %mkrel 1
Summary:       Eclipse projects generator from Ant scripts
Group:         Development/Java
License:       ASL 2.0
Url:           http://ant-eclipse.sourceforge.net/
Source0:       http://sourceforge.net/projects/ant-eclipse/files/ant-eclipse/1.0/ant-eclipse-1.0.src.tar.bz2
Source1:       ant-eclipse-1.0.pom
Patch0:        ant-eclipse-1.0-no-antdoc.patch
Patch1:        ant-eclipse-1.0-no-overview.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: ant
# antdoc
BuildRequires: gnu-regexp
BuildRequires: jcsc
BuildRequires: junit

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Ant-Eclipse is a task for the Java build tool Ant generating Eclipse projects to be just imported and used easily.
Ant build scripts are used as a central place for the configuration of sources and libraries which the
generated projects are based on.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0
%patch1 -p0

%build
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath ant jcsc junit)
ant -Djdk.path=%{_jvmdir}/java package document

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/src/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NEWS NOTICE README TODO

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 21 2011 gil <gil> 1.0-1.mga2
+ Revision: 157104
- imported package ant-eclipse

